Bug 964105 - yum on es_ES system shows some piece in en_US and others in es_ES [FEDORA 19]
yum on es_ES system shows some piece in en_US and others in es_ES [FEDORA 19]
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
All Linux
unspecified Severity high
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 04:58 EDT by Nix\
Modified: 2015-02-17 10:15 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:15:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nix\ 2013-05-17 04:58:53 EDT
Description of problem:

After update of yum, show me some parts of the installation in english, others in spanish on a system configured in es_ES.


====================================================

[root@localhost ~]# echo $LANG
es_ES.UTF-8
[root@localhost ~]# yum install iptraf-ng
Complementos cargados:langpacks, refresh-packagekit
Resolviendo dependencias
--> Ejecutando prueba de transacción
---> Paquete iptraf-ng.i686 0:1.1.3.1-4.fc19 debe ser instalado
--> Resolución de dependencias finalizada

Dependencias resueltas

================================================================================================================
 Package                       Arquitectura             Versión                             Repositorio                Tamaño
================================================================================================================
Instalando:
 iptraf-ng                     i686                     1.1.3.1-4.fc19                      fedora                     298 k

Resumen de la transacción
================================================================================================================
Instalar  1 Paquete

Tamaño total de la descarga: 298 k
Tamaño instalado: 649 k
Is this ok [y/d/N]: <============== English on a es_ES system
Downloading packages:
iptraf-ng-1.1.3.1-4.fc19.i686.rpm                                                        | 298 kB  00:00:02     
Running transaction check <=========== English
Running transaction test <============ English
Transaction test succeeded
Running transaction <============= English
  Instalando    : iptraf-ng-1.1.3.1-4.fc19.i686                                                                          1/1 
  Comprobando   : iptraf-ng-1.1.3.1-4.fc19.i686                                                                          1/1 

Instalado:
  iptraf-ng.i686 0:1.1.3.1-4.fc19                                                                                            
                                                                                                                             
¡Listo!                                                 

===============================

The "Running transaction *" is normal on previous versions, but in the new version of yum, the added "Is this ok [y/d/N]:" is not traslated to correct language.

Version-Release number of selected component (if applicable):
Fedora 19 beta tc4 kde
yum-3.4.3-91.fc19.noarch
yum-langpacks-0.3.1-2.fc19.noarch

How reproducible:
Always

Steps to Reproduce:
1.Install Fedora 19 beta tc4 and select spanish as language
2.yum update
3.yum install htop and see the mixed language
  
Actual results:
Yum has a mixed language, en_US and the selected by the user.

Expected results:
Yum completely in the language of the system, according to the $LANG variable

Additional info:

I speak native spanish, i can translate all if you want, no problem.
Comment 1 Nix\ 2013-05-17 05:04:08 EDT
Sorry, add: "Downloading packages:" phrase.
Comment 2 Parag Nemade 2013-05-17 05:23:26 EDT
I found translations are available in tarball and also the same is installed with yum-3.4.3-91.fc19. This is a issue in yum package.
Comment 3 Parag Nemade 2013-05-17 05:47:01 EDT
I will say yum package maintainers need to re-generate po files. Installed yum.mo files not even have any headers when they unformatted using msgunfmt.
Comment 4 Nix\ 2013-05-17 12:03:34 EDT
(In reply to comment #3)
> I will say yum package maintainers need to re-generate po files. Installed
> yum.mo files not even have any headers when they unformatted using msgunfmt.

@Parag Ok, tell me when is ready for test and feedback you.
Comment 5 Didier G 2013-06-08 07:18:12 EDT
Same problème on same messages for french translation fr_FR.
Comment 6 Didier G 2013-06-23 17:59:17 EDT
I just installed then updated Fedora 19 TC6 and on my system configured for fr_FR I still have yum messages in en_US and others in fr_FR.
Comment 7 Adam Pribyl 2013-07-25 09:06:07 EDT
Same happens in final F19 for cs_CZ. The reason I found so far is that somebody changes a several strings globally to not have a capital letter at the beginning (e.g. Package->package) in yum. This causes many often used strings to be untranslated.
Comment 8 Fedora End Of Life 2015-01-09 13:08:19 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 10:15:32 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.